Page MenuHomePhabricator

Requesting access to restricted production access for Nikki Nikkhoui
Closed, ResolvedPublicRequest

Description

Username: nikkin
Full name: Nikki Nikkhoui
SSH Key:
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQDjpUNj7h4VqfTXaV30XanPldBV8IW1tb8LGEkv8eYn7TXW/LhOnUsx5ql9pQBoXP6yZN/ijDsbAaUOucJzrgh321WokoJGasUAQmfRbOA2yzNWBn1D4PFqBruzFtgM9gsHjPO0JVHfAOvH2ugklLEEhOav3ZzACtykNqPJDJ6v5kq+lCJzr9Dg11tjeNZ/QcaImOT7DuUMNcKxu7rF/Ju9sTsoy4R0G0CQjervTA1SPt1kLXEqBCWeg8b21zal701chFnCPnZFp0xou5+jrWih3x5TgTKTkBqGF+TPfmTNAij5mwWGc9a9Ywum7zGWwagJ1ZgyEqNKQelZgXZ0Q3Vl3qWaAzMWN8Ut6YtfjU/QSjG9in2lRzrbh8HfHrbTO9vgPgmxtFXdpVYQLzP6V5R/v/BFHvoHsivnARQXSlPdCOevdclPfCIdUZ1UegZGuUP4CQhnBO/vgX4daYNRcBNU6yWXp+WL/ptBQn5R7TTbXXQIXL2653PikrciJ10/lQ91bLs86SugpPWsk5c+NmYe+jwcua30JS8qgdkYZeBK4xlbDaVFvv6oOq7mIHNoWav4IHhUDw57YRaYn6Q6brNEgg9sjOkv0fJ/tLFLgqlUiKSgLQh7JhMuKB3q0CVwCMYCwPLhttRg7DTYgWRzHI3PZxToXvRs+gCsxpq3JIGbgw== nnikkhoui@wikimedia.org

@BPirkle has advised that I apply for shell access. I am a new member of the Core Platform Team, and in order to learn many of the common tasks my team completes, production access will be necessary. Some of these tasks include incident response, monitoring of new deployments, and running schema migration scripts. Initially, I plan on using shell access in order test Core REST API work related to T229661.

Related Objects

Event Timeline

nnikkhoui created this task.Nov 7 2019, 9:10 PM
Restricted Application added a project: Operations. · View Herald TranscriptNov 7 2019, 9:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
nnikkhoui updated the task description. (Show Details)Nov 7 2019, 9:12 PM
nnikkhoui added a subscriber: Fjalapeno.

Requesting approval for this request from my manager @Fjalapeno

nnikkhoui updated the task description. (Show Details)Nov 7 2019, 9:13 PM
nnikkhoui added a subscriber: BPirkle.

We use group-based access control and based on the description that means membership in the "restricted" group. I see that you've already "signed" https://phabricator.wikimedia.org/L3, so we're good to go once Corey approves and the three day waiting period (from https://wikitech.wikimedia.org/wiki/SRE_Clinic_Duty#Access_requests) has passed.

I'll prepare a patch to enable your access.

MoritzMuehlenhoff triaged this task as Medium priority.Nov 8 2019, 6:53 AM

Change 549700 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add Nikki Nikkhoui to the restricted group

https://gerrit.wikimedia.org/r/549700

Hi @corey, this access request is waiting for your approval.

Dzahn assigned this task to corey.Nov 12 2019, 2:46 PM
Dzahn added a subscriber: WDoranWMF.

Change 549700 merged by Dzahn:
[operations/puppet@production] Add Nikki Nikkhoui to the restricted group

https://gerrit.wikimedia.org/r/549700

Dzahn added a comment.Nov 12 2019, 8:58 PM

@Fjalapeno Thanks for the approval

@nnikkhoui You have been added to the restricted group.

Dzahn closed this task as Resolved.Nov 12 2019, 10:29 PM

@nnikkhoui You're welcome. I'm calling this resolved. Let us know if any unexpected issues.